> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://hiddenlayer.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://hiddenlayer.ferndocs.com/_mcp/server.

# Get Red Team Workflow Status

GET https://api.hiddenlayer.ai/evaluations/v1/red-team/{workflow_id}/status

[BETA] This endpoint is not GA or Production ready and is subject to changes at any time. Breaking changes may occur.

Get current status of a red team workflow.

Reference: https://hiddenlayer.ferndocs.com/api-reference/llm-proxy-api/red-team/get-status

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.hiddenlayer.ai` (ProdUs, default)
- `https://api.eu.hiddenlayer.ai` (ProdEu)

## Request

### Path parameters

- `workflow_id` (string, required)

## Response

### 200

Current workflow status

- `workflow_id` (string, required) — Workflow identifier
- `run_id` (string, required) — Run identifier
- `status` (string, required) — Workflow status
- `name` (string, required) — Workflow name
- `tenant_id` (string, optional) — Tenant identifier
- `message` (string, optional) — Status message
- `error` (string, optional) — Error message if failed
- `total_sessions` (integer, optional) — Total number of sessions
- `completed_sessions` (integer, optional) — Number of completed sessions
- `failed_sessions` (integer, optional) — Number of failed sessions
- `active_sessions` (integer, optional) — Number of active sessions
- `ready_prompts_in_queue` (integer, optional) — Number of prompts ready in queue
- `progress_total` (integer, optional) — Total progress items
- `progress_completed` (integer, optional) — Completed progress items
- `phase` (string, optional) — Current workflow phase
- `elapsed_seconds` (double, optional) — Elapsed time in seconds
- `eta_seconds` (double, optional) — Estimated time remaining in seconds

## Errors

### 401 Unauthorized Error

Authentication Error

- `detail` (string, required, default: Failed to authenticate)

### 403 Forbidden Error

Forbidden Error

- `detail` (string, required, default: Forbidden operation)

### 404 Not Found Error

The specified resource was not found.

- `any`

### 422 Unprocessable Entity Error

Validation Error

- `errors` (list of ProblemDetailsErrorsItems, required) — Error details
- `type` (string, optional) — https://www.rfc-editor.org/rfc/rfc9457.html#name-type
- `title` (string, optional) — https://www.rfc-editor.org/rfc/rfc9457.html#name-title
- `detail` (string, optional) — https://www.rfc-editor.org/rfc/rfc9457.html#name-detail
- `instance` (string, optional) — https://www.rfc-editor.org/rfc/rfc9457.html#name-instance

## Types

### ProblemDetailsErrorsItems

- `code` (string, optional)
- `detail` (string, optional)
- `pointer` (list of string, optional) — array of JSON Pointers

## Examples

**Response**

```json
{
  "workflow_id": "string",
  "run_id": "string",
  "status": "string",
  "name": "string",
  "tenant_id": "string",
  "message": "string",
  "error": "string",
  "total_sessions": 1,
  "completed_sessions": 1,
  "failed_sessions": 1,
  "active_sessions": 1,
  "ready_prompts_in_queue": 1,
  "progress_total": 1,
  "progress_completed": 1,
  "phase": "string",
  "elapsed_seconds": 1.1,
  "eta_seconds": 1.1
}
```

**SDK Code**

```python
import requests

url = "https://api.hiddenlayer.ai/evaluations/v1/red-team/workflow_id/status"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.hiddenlayer.ai/evaluations/v1/red-team/workflow_id/status';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.hiddenlayer.ai/evaluations/v1/red-team/workflow_id/status"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.hiddenlayer.ai/evaluations/v1/red-team/workflow_id/status")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.hiddenlayer.ai/evaluations/v1/red-team/workflow_id/status")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.hiddenlayer.ai/evaluations/v1/red-team/workflow_id/status', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.hiddenlayer.ai/evaluations/v1/red-team/workflow_id/status");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.hiddenlayer.ai/evaluations/v1/red-team/workflow_id/status")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```